No longer possible to copy-paste attribute table content to external aplications

2014-10-14 06:27 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19687

Description

In QGIS master commit:fbc5f06, It's no longer possible to copy and paste the attribute table's content to external applications like calc or a

simple text editor. The paste result only contains the table column names.

To recreate the problem, simply open the attribute table of a vector layer, select a few (or all) rows and press copy. Now try pasting it to a

text editor.

Since this was working in 2.4 I will mark it as Blocker.

Related issues:

Related to QGIS Application - Bug report # 11336: Copy / Paste PostGIS featur... Closed 2014-10-06

Related to QGIS Application - Bug report # 11405: "merge selected features" b... Closed 2014-10-14

Related to QGIS Application - Bug report # 12616: API: QgsVectorLayer::select... Closed 2015-04-21

Associated revisions

Revision d1e23a60 - 2014-10-15 04:57 PM - Jürgen Fischer

fix where clase when multiple features are filtered by id (fixes #11336, fixes #11408)

History

#1 - 2014-10-15 06:05 AM - Jürgen Fischer

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to Normal

Not reproducable.  First three records from airports.shp (QGIS sample data) copied from QGIS commit:4ea5c80 to browser:

wkt_geom    cat    NA3    ELEV    F_CODE    IKO    NAME    USE

POINT(-1258616.90434692124836147 6502586.83034719526767731)    1    US00157    78    Airport/Airfield    PA    NOATAK    Other

POINT(-551138.44808900915086269 6267485.60458367690443993)    2    US00229    264    Airport/Airfield    PA    AMBLER    Other

POINT(356882.26216595253208652 6188622.20902555342763662)    3    US00186    585    Airport/Airfield    PABT    BETTLES    Other

#2 - 2014-10-15 07:04 AM - Alexandre Neto

Sorry for not having tested enough. I made a few more tests and this might be related with the Postgis provider only.
I can copy and paste the attribute table of a shapefile, dbf and even spatialite, but not from any of my Postgis tables.

#3 - 2014-10-15 07:05 AM - Giovanni Manghi

- Operating System deleted (Windows)

- OS version deleted (7)

- Priority changed from Normal to Severe/Regression

Confirmed on QGIS master on Linux: ok with shapes, not ok with PostGIS.

#4 - 2014-10-15 07:41 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2014-10-15 07:55 AM - Jürgen Fischer

- Category changed from Attribute table to Data Provider/PostGIS

#6 - 2014-10-15 07:58 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"d1e23a608a2e5f8e043e68e53910acb9e854bbd1".
